org.apache.nutch.indexer

## Interface IndexWriter

- All Superinterfaces:
    Configurable, Pluggable
  All Known Implementing Classes:
    ElasticIndexWriter, SolrIndexWriter

      public interface IndexWriter
      extends Configurable, Pluggable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `X_POINT_ID` The name of the extension point.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `commit()`
    `void` | `delete(String key)`
    `String` | `describe()` Returns a String describing the IndexWriter instance and the specific parameters it can take
    `void` | `open(Configuration job)`
    `void` | `update(NutchDocument doc)`
    `void` | `write(NutchDocument doc)`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### X_POINT_ID

          static final String X_POINT_ID

      The name of the extension point.

  - ### Method Detail

    - #### open

          void open(Configuration job)
                    throws IOException

      Throws:
        `IOException`

    - #### write

          void write(NutchDocument doc)
                     throws IOException

      Throws:
        `IOException`

    - #### delete

          void delete(String key)
                      throws IOException

      Throws:
        `IOException`

    - #### update

          void update(NutchDocument doc)
                      throws IOException

      Throws:
        `IOException`

    - #### commit

          void commit()
                      throws IOException

      Throws:
        `IOException`

    - #### close

          void close()
                     throws IOException

      Throws:
        `IOException`

    - #### describe

          String describe()

      Returns a String describing the IndexWriter instance and the specific parameters it can take

Copyright © 2015 The Apache Software Foundation